# -*- encoding: utf-8 -*-
# stub: jongleur 1.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "jongleur".freeze
  s.version = "1.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Fred Heath".freeze]
  s.bindir = "exe".freeze
  s.date = "2019-01-05"
  s.description = "Launches, schedules and manages tasks represented in a DAG, as multiple processes".freeze
  s.email = ["fred@bootstrap.me.uk".freeze]
  s.homepage = "https://gitlab.com/RedFred7/Jongleur".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "Before using Jongleur, please make sure your system has the Graphviz package installed!".freeze
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A multi-processing task scheduler and manager.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<graphviz>.freeze, ["~> 1.1"])
    s.add_runtime_dependency(%q<os>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<hollerback>.freeze, ["~> 0.1"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.16"])
    s.add_development_dependency(%q<pry-byebug>.freeze, ["~> 3.4"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.58"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.9"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9"])
  else
    s.add_dependency(%q<graphviz>.freeze, ["~> 1.1"])
    s.add_dependency(%q<os>.freeze, ["~> 1.0"])
    s.add_dependency(%q<hollerback>.freeze, ["~> 0.1"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.16"])
    s.add_dependency(%q<pry-byebug>.freeze, ["~> 3.4"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.58"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.9"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9"])
  end
end
